<div class="flex flex-layout"
     style="position:relative;"
>
    <div id="vselector-main"
         ng-class="{'closed': VM.closed}"
         class="vselector-pane flex flex-layout-v"
    >
        <!--<div>
            <button ng-click="VM.addNewQuestion()" class="btn btn-primary">+ New</button>
            <br><br>
        </div>-->

        <div>
            <div class="vselector-head">
                <p class="title" translate>QUESTIONS</p>
                <div class="filtering flex-layout-v flex-layout-v-valign-c">
                    <div class="flex-layout-h">
                        <button ng-click="VM.addNewQuestion()"
                                title="{{'NEWF'|translate}}"
                                class="btn btn-default btn-round-sm fa fa-plus"
                        ></button>
                        <button title="{{'DOFILTER'|translate}}"
                                ng-click="VM.toggleSearch()"
                                class="btn btn-default btn-round-sm fa fa-search"
                        ></button>
                        <!--
                        <button ng-click=""
                                title="{{'DOSORT'|translate}}"
                                class="btn btn-default btn-round-sm fa fa-sort-amount-asc"
                        ></button>
                        -->
                    </div>
                </div>
                <div ng-if="VM.shouldShowSearch"
                     class="card-pane padded-pane scrollable-pane flex-layout"
                     style="height:300px;position:absolute;background-color:white;box-shadow:0 0 10px 0 gray;border:1px solid #f8f8f8;width: 200%;z-index:9999;height:90%;right:-195%;top:10px; bottom:-20px;"
                >
                    <div class="flex flex-layout">
                        <h4 style="margin-top:0;"><i class="fa fa-search"></i> Filtre de Qüestions</h4>
                        <div ng-include="'questions/partials/search.tpl.html'"
                             class="flex flex-layout"
                        ></div>
                    </div>
                </div>
                <p class="showing"
                   ng-class="{warning: VM.num_questions_showing != VM.num_questions_total}"
                >{{'SHOWING'|translate:{showing: VM.num_questions_showing, total: VM.num_questions_total} }}</p>
            </div>
        </div>
        <!--<a ui-sref="" class="btn btn-primary">Sort</a>-->
        <div class="vselector scrollable-pane flex">
            <a ng-class="{active: VM.isCurrentQuestion(q.id)}"
               ng-repeat="q in VM.questions track by q.id"
               ng-click="VM.pickQuestion(q.id)" href=""
               title="{{q.titulo}}"
               style=""
            >
                <span class="ellipsis" style="display:block;">{{q.titulo}}</span>
                <span style="display:block;">
                    <small>#{{q.id}}</small>
                    <small ng-show="q.disponible && !VM.isQuestionDirty(q)"
                           title="{{'RESOLVED'|translate}}"
                    >| <i class="fa fa-check-circle color-resolved"></i></small>
                    <small ng-show="VM.isQuestionDirty(q)"
                           title="{{'DIRTY'|translate}}"
                    >| <i class="fa fa-pencil color-dirty"></i></small>
                    <small ng-show="q.bloqueada"
                           title="{{'LOCKEDF'|translate}}"
                    >| <i class="fa fa-lock color-locked"></i></small>
                </span>
             </a>
        </div>

    </div>
    <div style="position:absolute;top:0px;right:-20px;">
        <button ng-click="VM.toggle()"
                class="btn btn-sm btn-link"
                title="Toggle menu"
        ><i class="glyphicon glyphicon-menu-hamburger"></i></button>
    </div>
</div>